> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Filter Configs

> Lists the org employee-sync filter configurations with deserialized filters and a hasDefault flag.

Required scope: `integrations:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-filter-configs
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-filter-configs:
    get:
      operationId: getFilterConfigs
      summary: Get Filter Configs
      x-toku-required-scope: integrations:read
      description: >-
        Lists the org employee-sync filter configurations with deserialized
        filters and a hasDefault flag.


        Required scope: `integrations:read`
      parameters:
        - name: orgID
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFilterConfigsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetFilterConfigsResponse:
      type: object
      properties:
        filterConfigs:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              orgID:
                type: string
              name:
                type: string
              description:
                type:
                  - string
                  - 'null'
              filters:
                oneOf:
                  - type: object
                    properties:
                      version:
                        const: '2.0'
                      rootGroup: {}
                    required:
                      - version
                      - rootGroup
                  - type: object
                    properties:
                      email:
                        type: string
                      givenName:
                        type: string
                      familyName:
                        type: string
                      department:
                        type: string
                      address:
                        type: string
                      externalEmployeeID:
                        type: array
                        items:
                          type: string
                      country:
                        type: array
                        items:
                          type: string
                      employmentType:
                        type: array
                        items:
                          type: string
                      baseSalaryCurrency:
                        type: array
                        items:
                          type: string
                      baseSalaryGreaterThan:
                        type: number
                      baseSalaryLessThan:
                        type: number
              isDefault:
                type: boolean
              isActive:
                type: boolean
              syncMode:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              appliesTo:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              lastUsedAt:
                type:
                  - string
                  - 'null'
              usageCount:
                type: integer
              createdBy:
                type: string
              createdAt:
                type: string
              updatedAt:
                type: string
            required:
              - id
              - orgID
              - name
              - description
              - filters
              - isDefault
              - isActive
              - syncMode
              - appliesTo
              - lastUsedAt
              - usageCount
              - createdBy
              - createdAt
              - updatedAt
          description: >-
            NOTE(ck): a recursive z.lazy() schema has no contract form; TGA
            still checks it
        hasDefault:
          type: boolean
      required:
        - filterConfigs
        - hasDefault
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
